Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Apr 2015 17:55:03 +0300

> Date: Tue, 28 Apr 2015 01:32:35 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
>     We shouldn't treat the Emacs core as second-rate citizen, either.  A
>     feature as central to code development and Emacs in general as finding
>     definitions and references of symbols cannot thrive only (or mainly)
>     outside the core, IMO.
> 
> So? What are you doing to help with that?

I filed this bug report, for starters.  I then invested a non-trivial
amount of my time into learning this feature, trying different things,
describing my experiences, thinking about ways to improve this, etc.
And I continue doing that.  I hope this does help; if not, feel free
to close this bug report as "won't fix" and tell me not to bother
anymore.

> Are you asking anyone currently participating in this thread to work on CEDET?

That would be nice, yes.  But I'd settle with merely having us agreed
to the above statement.

>     Where did you see me say I dislike it?  I'm just saying that learning
>     a new UI for the sake of a new UI is a waste.  I _am_ prepared to
>     learn a new UI if it brings new useful functionality with it.
> 
> The new UI itself brings tangible improvements by itself, as well as a unified interface that can (and hopefully will) be used by different projects. I don't know how you don't see the value in that.

I'm saying that improvement that is only a potential one, without any
feature that actually uses it, is incomplete, to say the least.  If
there are no back-ends that make use of these niceties, they simply
don't exist as far as users are concerned, and consequently their
value is purely theoretical.

This feature, including the new UI and API, was introduced 4 months
ago, and we still have only 2 back-ends supporting it: ELisp and Ada.
All the other languages, including C/C++/Java, and other important
ones, still use etags, which is said to be inadequate.  Is someone
working on more back-ends as we speak?  If not, I see currently no
practical benefits from introducing these changes.  They are nothing
more than infrastructure waiting for programmers to use it, and those
programmers don't seem to be coming.  Putting on my cynic hat, I'd say
it's a solution looking for the problem.